{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Cobranza{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
	<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
	<li class="breadcrumb-item active">Cobranza</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
	<h1 class="page-header">Cobranza <small>Manual y asistida</small></h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
	<!-- begin col-6 -->
	<div class="col-xl-6">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="table-basic-1">
			<!-- begin panel-heading -->
			<div class="panel-heading">
				<h4 class="panel-title">Añadir un pago manualmente</h4>
				<div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<div class="panel-body">

				<form method="post">
					{% csrf_token %}
					<input id="id_number" name="number" type="number" placeholder="{{ form.number.label }}">
					<input type="submit" value="Buscar" class="btn btn-md btn-success btn-raised">
				</form>
			</div>
			<!-- end panel-body -->
		</div>
		<!-- end panel -->
	</div>
	<!-- end col-6 -->
	

	<!-- begin col-6 -->
	<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Carga Masiva de Pagos</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
	  			<p>Suba un archivo Excel con el detalle de las transferencias bancarias para procesar pagos en forma masiva:</p>

				<form action="{% url 'collect-by-excel' %}" method="post">
					{% csrf_token %}

					{% for field in excel_form %}
					<div class="form-group">
						<label for="id_{{ field.html_name }}" class="control-label">{{ field.label }}</label>
					{% render_field field class="form-control" %}
					{% for error in field.errors %}
					<span style="color: #E5343D; font-weight: 400;">{{ error }}</span>
					{% endfor %}
					</div>
					{% endfor %}

					<input type="submit" value="Guardar" class="btn btn-md btn-success btn-raised">
				</form>
			<!-- end panel-body -->
		</div>
		<!-- end panel -->
	</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
	  

{% endblock %}
